package domain

type AlibabaWdkMarketingPricePromotionPriceResult struct {
	/*
	   总数量     */
	Total *int64 `json:"total,omitempty" `

	/*
	   总页数     */
	PageCount *int64 `json:"page_count,omitempty" `

	/*
	   促销信息记录     */
	ItemList *[]AlibabaWdkMarketingPricePromotionPriceDO `json:"item_list,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   单页数据大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误编码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   页码     */
	PageIndex *int64 `json:"page_index,omitempty" `
}

func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetTotal(v int64) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetPageCount(v int64) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.PageCount = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetItemList(v []AlibabaWdkMarketingPricePromotionPriceDO) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.ItemList = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetErrMsg(v string) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetPageSize(v int64) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetErrCode(v string) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetSuccess(v bool) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingPricePromotionPriceResult) SetPageIndex(v int64) *AlibabaWdkMarketingPricePromotionPriceResult {
	s.PageIndex = &v
	return s
}
